Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "8a746d07-e19c-4f34-9fa3-2753ab29f788",
  "date_start": "2026-10-29T00:06:59.1558062+00:00",
  "date_end": "2026-10-29T00:06:59.1558062+00:00",
  "modified_dateutc": "2026-10-29T00:06:59.1558062+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "97980557-b5f0-4a5c-822f-48f36fd9b2db",
  "user_code": "sample string 8",
  "user": {
    "id": "18607e97-05ac-485b-88a3-014dbed1fba9",
    "db_language_id": "06b2c8c0-9c47-4adc-89fa-63273b671124",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-29T00:06:59.1558062+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "50f1cc01-3430-4d6a-a130-ff639c8ce09f",
    "sales_organization": {
      "id": "2f374d57-1e32-4f01-87f4-6cd6850d27ae",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "09043520-ea5a-4de5-b6bc-2b12a009d5e0",
      "db_currency_id": "b746791d-d949-4fe0-bccd-472c31ba20ba",
      "db_language_id": "2213ad00-893c-4cd8-ac91-c9436b99b81c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-29T00:06:59.1558062+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "0a98dcdd-72a9-42f2-a737-ffb84d3d2db5",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "809bb21f-0449-4b1d-8a82-753a11e114c9",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-29T00:06:59.1558062+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "47ab0f12-edaf-4050-bd20-83bc77ad919d"
  },
  "user_unavailability_type_id": "aaba8482-d300-4c3b-96ae-bfd43574f6b4",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "56739ddf-2580-40eb-97fd-5105c44847c9",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "956ec630-0946-4206-aa39-b4d5587ba353",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "2f374d57-1e32-4f01-87f4-6cd6850d27ae",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "09043520-ea5a-4de5-b6bc-2b12a009d5e0",
      "db_currency_id": "b746791d-d949-4fe0-bccd-472c31ba20ba",
      "db_language_id": "2213ad00-893c-4cd8-ac91-c9436b99b81c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-29T00:06:59.1558062+00:00"
    },
    "modified_dateutc": "2026-10-29T00:06:59.1558062+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.